1. Si vous venez d'arriver sur le forum et que vous êtes un peu perdus, cliquez ici !
    Rejeter la notice

Résolu Crash lancement server moddé 1.16.5

Discussion dans 'Problème avec les mods' créé par Kisuko, 4 Sept 2022.

  1. Kisuko

    Kisuko Nouveau

    Inscrit:
    4 Sept 2022
    Messages:
    4
    Points:
    0
    Sexe:
    Homme
    Bonsoir,

    J'ai parcouru le net afin d'essayer de résoudre le problème, mais sans résultats. J'ai consulté un autre topic de ce site qui recommandait l'utilisation d'une version java plus vieille spécifiquement pour les modpack 1.16.5 et je l'ai appliqué, mais mon problème demeure.

    J'aimerais créer un serveur sky bee mais lorsque j'exécute le start.bat, l'invite de commande ferme inopinément après un bref instant. Je vous envoie les logs que j'ai récupéré : https://pastebin.com/xcP53fgB

    J'utilise la version de java jdk8u312-b07

    Je vous remercie d'avance pour les solutions que vous pourriez apporter.
     
  2. robin4002

    robin4002 Support Technique
    Staff

    Inscrit:
    17 Août 2012
    Messages:
    5 443
    Points:
    229
    Sexe:
    Homme
    Bonsoir,

    Visiblement tu as la version 1.8.0_342 et non la 312 :
    Cette version cause aussi problème : https://www.reddit.com/r/Minecraft/comments/s7ce50/serverhosting_forge_minecraft_keeps_crashing_on/

    Il faudrait essayer avec le build 345 ou avec java 11.
     
  3. Kisuko

    Kisuko Nouveau

    Inscrit:
    4 Sept 2022
    Messages:
    4
    Points:
    0
    Sexe:
    Homme
    Bonsoir !

    Je vous remercie de la célérité avec laquelle vous m'avez répondu. J'ai essayé les builds que vous avez proposés, mais aucun d'eux ne semble résoudre le problème initial. Voici leurs logs :
    Je n'ai pas trouvé sur le site d'eclipse le lien pour essayer avec le build 312, peut-être que vous connaitriez un site qui pourrait le fournir ? Il y a Oracle, mais j'aimerais éviter de passer par la création de compte obligatoire pour télécharger des versions antérieures de Java.

    Je continue de chercher par moi-même, peut-être pourrais-je trouver une solution.

    Je vous souhaite une bonne soirée !
     
  4. Kisuko

    Kisuko Nouveau

    Inscrit:
    4 Sept 2022
    Messages:
    4
    Points:
    0
    Sexe:
    Homme
    J'ai trouvé ce qui semblerait être une piste. J'ai réussi à télécharger la version de java 8 Build 312 (https://bell-sw.com/pages/downloads/?version=java-8-lts&release=8u312+7) sur le site de Bellsoft et j'ai galeré à trouver ce build.

    Tout se compile normalement lorsque je lance le bat sur mon ordinateur et le serveur est "online". Mais lorsque que j'exporte tous les fichiers sur minestrator (L'hébergeur que j'utilise pour mon serveur minecraft), il n'arrive pas à exécuter le forge sans crash. D'après les logs, c'est parce qu'il utilise Java 17 et j'ignore comment changer cela et voir même si c'est possible.

    Pour résumer, ce build fonctionne si vous hébergez vous-même votre serveur Sky Bee avec votre propre machine. Avec l'hébergeur de votre choix en revanche, c'est une autre histoire.
     
  5. robin4002

    robin4002 Support Technique
    Staff

    Inscrit:
    17 Août 2012
    Messages:
    5 443
    Points:
    229
    Sexe:
    Homme
    Ah oui effectivement donc même Java 11 et les build récent de Java 8 ne passe pas :/
    Il faut regarder sur l'interface si l'hébergeur propose de choisir la version de java.
     
  6. Kisuko

    Kisuko Nouveau

    Inscrit:
    4 Sept 2022
    Messages:
    4
    Points:
    0
    Sexe:
    Homme
    Bonsoir,

    J'ai trouvé la solution pour changer le java sur le serveur de mon hébergeur finalement et mon serveur fonctionne ! Merci pour l'aide que tu m'as apporté tout du long, robin4002. A vrai dire, c'est grâce à ta participation sur un autre topic en proposant d'essayer le fameux Build 312 de Java 8 que ca fonctionne.

    On remercie pas assez les personnes qui aident de parfaits étrangers de manière désintéressée. Tu as toute ma gratitude, mon frère et moi te remerciont, nous pouvons enfin commencer l'aventure ! Courage pour la suite, y'a certainement des problèmes techniques plus ardus que le mien !

    Le problème est ainsi "Résolu", bonne continuation et bonne soirée !
     
    • Sympa Sympa x 1

Partager cette page